// closure to avoid namespace collision
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.wpSplitTesting ', {
		// creates control instances based on the control's id.
		// our button's id is "splitesting_button"
		createControl : function(id, controlManager) {
			if (id == 'wpSplitTesting_button') {
				// creates the button
				var button = controlManager.createButton('splitesting_button', {
					title : 'MIST', // title of the button
					image : '../wp-content/plugins/MIST/images/mist.png',  // path to the button's image
					onclick : function() {
						// triggers the thickbox
						var width = jQuery(window).width(), H = jQuery(window).height(), W = ( 720 < width ) ? 720 : width;
						W = W - 80;
						H = H - 84;
						tb_show( 'MIST Shortcodes', '#TB_inline?width=' + W + '&height=' + H + '&inlineId=splitesting-form' );
					}
				});
				return button;
			}
			return null;
		}
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('wpSplitTesting', tinymce.plugins.wpSplitTesting );
	
	// executes this when the DOM is ready
	jQuery(function(){
		// creates a form to be displayed everytime the button is clicked
		// you should achieve this using AJAX instead of direct html code like this
		var form = jQuery('<div id="splitesting-form" style="margin-left: 30px;"><center><br /><img src="../wp-content/plugins/MIST/images/mistlogo2.png"/></center><center><p>Check out our training videos and instruction sets <a href="#">here</a> on the members dashboard.</p></center><table id="splitesting-table" class="form-table" style=" border-radius:15px; padding: 10px;">\
			<tr>\
				<th><label for="splitesting-type">Type</label></th>\
					<td><select name="Type" style="width: 100px;" id="splitesting-type">\
					<option value="group name">Group</option>\
					<option value="item name">Item</option>\
					<option value="trigger name">Trigger</option>\
				</select><br />\
				<small>Specify whether a Group, Item, or Trigger.</small></td>\
			</tr>\
			<tr class="name">\
				<th><label for="splitesting-name">Name</label></th>\
				<td><input type="text" id="splitesting-name" name="name" value="" /><br />\
				<small>Specify the name for the Group/Item/Trigger. Each name must be <b>unique</b>. Do not replicate names.</small></td>\
			</tr>\
			<tr class="itemtype">\
				<th><label for="splitesting-item-type">Item Type</label></th>\
					<td><select name="Item Type" style="width: 100px;" id="splitesting-item-type">\
					<option value="text">Text</option>\
					<option value="image">Image</option>\
				</select><br />\
				<small>Specify the type of item you want to split test</small></td>\
			</tr>\
				<tr class="customcss">\
				<th><label for="splitesting-customcss">Custom CSS (optional)</label></th>\
					<td><textarea id="splitesting-customcss" cols="40"></textarea><br />\
				<small>Here you can add styling to your text through CSS. Example format -> font-size: 10px; margin: 10px; font-weight: bold;</small><br />\
				<small>CSS values must be seperate by a semicolon - ; and all values must be in a line as seen above.</small>\
				</td>\
			</tr>\
			<tr class="triggertype">\
				<th><label for="splitesting-triggertype">Trigger Type</label></th>\
				<td><select name="Type" style="width: 220px;" id="splitesting-triggertype">\
					<option value="optimize press squeeze">Optimize Press Squeeze(Excluding Squeeze Style #3)</option>\
					<option value="optimize press squeeze 3">Optimize Press Squeeze Style 3</option>\
					<option value="optimize press sales">Optimize Press Sales Style (All)</option>\
					<option value="optin form">Normal Opt-in Form </option>\
					<option value="optimize press button shortcode">Optimize Press Button Shortcode</option>\
					<option value="anchor">Anchor/Link</option>\
					<option value="buy button">Buy Button </option>\
					<option value="instabuilder squeeze">Instabuilder Squeeze Page opt-in </option>\
					<option value="instabuilder video page">Instabuilder Video Page opt-in (with content)</option>\
				</select><br />\
				<small>Specify the type of trigger you want to use to track conversions.</small></td>\
			</tr>\
			<tr class="value">\
				<th><label for="splitesting-value">Value</label></th>\
				<td><textarea id="splitesting-value" cols="40"></textarea><br />\
				<small>Specify the text value of the item you want to split test. If you want to insert an image, please enter the full image source</small>\
				</td>\
			</tr>\
		</table><br /><br />\
		<center><p class="submit">\
			<input type="button" id="splitesting-submit" class="button-primary" value="Insert Shortcode" name="submit" />\
		</p></center>\
		<!--<p><b>Brief instructions, please refer to the training manual for further information</b></p>\
		<ul><li>1) Each Split Testing Item must be inside a "Group". Each Group can have more than one item.</li><br /><li>2) The Trigger must not be nested in a Group or Item.</li>--><br /></ul></div>');
		
		var table = form.find('table');
		form.appendTo('body').hide();
jQuery(document).ready(function() {
 	 jQuery("#splitesting-table tr.value").hide();
     jQuery("#splitesting-table tr.itemtype").hide();
     jQuery("#splitesting-table tr.triggertype").hide();
     jQuery("#splitesting-table tr.customcss").hide();
	 
 });	
jQuery("#splitesting-type").change(function() {
  var optionValue = jQuery(this).val();
  
  switch (optionValue) { 
  
    case 'trigger name': 
     jQuery("#splitesting-table tr.value").show();
     jQuery("#splitesting-table tr.itemtype").hide();
     jQuery("#splitesting-table tr.name").show();
     jQuery("#splitesting-table tr.triggertype").show();
	 jQuery("#splitesting-table tr.value").hide();
	  jQuery("#splitesting-table tr.customcss").hide();
      break; 
	  
    case 'group name': 
      	 jQuery("#splitesting-table tr.value").hide();
     jQuery("#splitesting-table tr.itemtype").hide();
     jQuery("#splitesting-table tr.name").show();
	  jQuery("#splitesting-table tr.triggertype").hide();
	   jQuery("#splitesting-table tr.customcss").hide();
      break; 
	  
    case 'item name': 
     jQuery("#splitesting-table tr.name").show();
     jQuery("#splitesting-table tr.itemtype").show();
	 jQuery("#splitesting-table tr.triggertype").hide();
     jQuery("#splitesting-table tr.value").show();
	 jQuery("#splitesting-table tr.customcss").show();
      break; 
  } 
});

jQuery("#splitesting-triggertype").change(function() {
if(jQuery(this).val() == 'optimize press squeeze'){
	jQuery("#splitesting-table tr.value").hide();
}
else if(jQuery(this).val() == 'optimize press squeeze 3'){
	jQuery("#splitesting-table tr.value").hide();
}
else if(jQuery(this).val() == 'optimize press sales'){
	jQuery("#splitesting-table tr.value").hide();
}
else if(jQuery(this).val() == 'instabuilder squeeze'){
	jQuery("#splitesting-table tr.value").hide();
}
else if(jQuery(this).val() == 'instabuilder video page'){
	jQuery("#splitesting-table tr.value").hide();
}
else
{
jQuery("#splitesting-table tr.value").show();
}
});

jQuery("#splitesting-item-type").change(function() {
if(jQuery(this).val() == 'text'){
	jQuery("#splitesting-table tr.customcss").show();
}
else if(jQuery(this).val() == 'image'){
	jQuery("#splitesting-table tr.customcss").hide();
}
});
		
		// handles the click event of the submit button
	form.find('#splitesting-submit').click(function(){
			// defines the options and their default values
			// again, this is not the most elegant way to do this
			// but well, this gets the job done nonetheless
		
			var shortcode = '[split testing';
			var type = table.find('#splitesting-type').val();
			var name = table.find('#splitesting-name').val();
			var itemtype = table.find('#splitesting-item-type').val();
			var triggertype = table.find('#splitesting-triggertype').val();
			var value = document.getElementById("splitesting-value").value
			var css = document.getElementById("splitesting-customcss").value
				
				// attaches the attribute to the shortcode only if it's different from the default value
				
				if( type == 'group name' )
				{
				
					shortcode += ' ' + type + ' = "' + name + '"]<br /><br />[/split testing group]';
				}
				else if ( type == 'item name' )
				{
					if ( itemtype == 'text')
					{
					shortcode += ' ' + type + ' = "' + name + '" value = "' + value + '" type  = "' + itemtype + '" style="' + css +'"]';
					}
					else
					{
						shortcode += ' ' + type + ' = "' + name + '" value = "' + value + '" type  = "' + itemtype +'"]';
					}
				}
				else if ( type == 'trigger name' )
				{	
					shortcode += ' ' + type + ' = "' + name  + '" type ="' +triggertype + '"]<br />' + value + '<br />[/split testing trigger]';
					
					
				}
			//shortcode += ']';
			
			// inserts the shortcode into the active editor
			tinyMCE.activeEditor.execCommand('mceInsertContent', 0, shortcode);
			jQuery('input#splitesting-name').val("");
			jQuery('input#splitesting-value').val("");
			// closes Thickbox
			tb_remove();
		});
	});
})()